PDA

View Full Version : Few Versions of mame = error comctl32.dll



F0RSAKEN
March 31st, 2008, 18:22
when i enter a few versions of mame i get a warning that says

Mame32k has detected an old version of comctl32.dll

it mentions game properties and certain options will not work

i have been to the website that it mentions and it could not find the site.

I downloaded the comctl32.dll off
http://www.dll-files.com/dllindex/dll-files.shtml?comctl32
and off my friend which his mame works fine, I tried them both and i had the same problem

here is a picture of it
http://img385.imageshack.us/my.php?image=mamecomctl32ddlerrorkp6.jpg

I am on vista which i think is the problem but i am asking on this forum if anyone has a solution.

and please don't post comments about how much you think vista sucks i have heard it all and people have spoken about it already its old news.

jpcline004
March 31st, 2008, 19:59
when i enter a few versions of mame i get a warning that says

Mame32k has detected an old version of comctl32.ddl

it mentions game properties and certain options will not work

i have been to the website that it mentions and it could not find the site.

I downloaded the comctl32.ddl off
http://www.dll-files.com/dllindex/dll-files.shtml?comctl32
and off my friend which his mame works fine, I tried them both and i had the same problem

here is a picture of it
http://img385.imageshack.us/my.php?image=mamecomctl32ddlerrorkp6.jpg

I am on vista which i think is the problem but i am asking on this forum if anyone has a solution.

and please don't post comments about how much you think vista sucks i have heard it all and people have spoken about it already its old news.

its actually a DLL not DDL, might want to fix that in case someone tries to google it to help you out.

Which version of MAME are you using? Correct me if I am wrong, but I assume you are using the .64 Kaillera release. The problem might be that your DLL is too NEW, and not old, but MAME notices it is different and that is the resulting error message. Have you tried running a plain vanilla updated version of MAME UI? Let me know if you get the same error with that.

JP

F0RSAKEN
March 31st, 2008, 20:21
ok this happens with the emulators

MAME32k 0.90
mame32kk6
mame32k0.64en

your right saying it does not happen with the newer versions that i have 0.117 and newer

but alot of the people online don't only use 0.117 they use 0.64en alot.
say is there a way if i find an older version of comctl32.dll i can change some of the text in the config file to direct it to the mame folder for an older version of comctl32.dll?

jpcline004
March 31st, 2008, 20:37
ok this happens with the emulators
say is there a way if i find an older version of comctl32.dll i can change some of the text in the config file to direct it to the mame folder for an older version of comctl32.dll?

that would be a quick fix right? Unfortunately I think that is embedded in the source code and is pointing to a registry file, so unless you really know what you are doing its probably not worth it. I could be wrong though.

You might just have to use a newer version of MAME online. Check your local server and see what other people use. I think some people play online with kawaks so you might want to give that a try as well.

F0RSAKEN
March 31st, 2008, 20:55
ok thank you for the help, it is much appreciated